GuideLab API

Storico: lab-wide activity feed

Returns activity rows across all orders in the current lab, joined with order/member/user/task metadata. Supports event-type filter and createdAt cursor-based pagination.

GET
/production/activity

Returns activity rows across all orders in the current lab, joined with order/member/user/task metadata. Supports event-type filter and createdAt cursor-based pagination.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

days?integer
Range1 <= value <= 365
limit?integer
Range1 <= value <= 200
Default100
cursor?string

ISO timestamp of the last item returned in the previous page. Items with createdAt < cursor are returned.

Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}(?::\d{2}(?:\.\d{1,9})?)?(?:Z|[+-]\d{2}:\d{2})$
eventType?string

Value in

  • "task_fired"
  • "task_review_event"
  • "status_changed"
  • "phase_changed"
  • "tray_assigned"
  • "file_uploaded"
  • "note_added"
  • "system"
  • "hold_requirement_changed"

Response Body

application/json

curl -X GET "https://example.com/production/activity"
{  "items": [    {      "id": "string",      "orderId": "string",      "orderNumber": "string",      "eventType": "task_fired",      "taskName": "string",      "actorName": "string",      "isSystemActor": true,      "actorKind": "system",      "createdAt": "string",      "payload": {        "property1": null,        "property2": null      },      "phaseAtTime": "string",      "statusAtTime": "draft"    }  ],  "nextCursor": "string"}